Quelle version de CentOS dois-je utiliser?

J'ai des servers rack montés (Dell R610, HP DL180 G6, HP DL360 G5) que j'ai l'intention d'utiliser pour le streaming video sur request dans un environnement de colocation. Je voudrais les avoir tous sur le même operating system pour rendre leur gestion simple, avoir un server (HP DL180) qui a beaucoup de stockage et une search / transfert super rapide qui prend en charge plusieurs servers de bord qui cacheront les médias localement et le feront ont également une search rapide mais avec less d'exigences de stockage.

J'avais utilisé Ubuntu à l'origine, mais des commentaires précédents ont été expliqués que Ubuntu n'aurait pas le même niveau de support pour RAID matérielle que CentOS et ont donc essayé de passer à ces servers.

Dans les expériences antérieures avec l'hébergement dédié géré, ils auraient une configuration de server personnalisée de CentOS 5 ou 6 avec toutes les petites cloches et les sifflets comme nano (je sais qu'il est très facile à installer, c'est juste une chose facile de dire qu'il n'est pas ' t partie de l'installation minimale CentOS par rapport à la valeur par défaut d'une société d'hébergement).

Le fournisseur de logiciel pour le streaming multimédia recommand de faire des optimizations au niveau du kernel, et je suis curieux si je devrais restr avec CentOS 6 à ce point ou aller avec CentOS 7? Il semble que la version 7 soit encore très nouvelle et je ne suis pas sûre si j'aimerais avoir la même qualité de support ici sur les forums, et comme les servers ne sont pas vraiment nouveaux, j'imagine qu'il n'y a pas de matériel nécessaire 7.

Du sharepoint vue de la security, est-ce que je me tire au pied pour ne pas commencer avec la version 7?

Je reorderais toujours que de nouveaux projets commencent avec la dernière version OS disponible, à less qu'il n'y ait un besoin primordial de ne pas le faire.

La grande pierre d'achoppement auquel vous pouvez rencontrer est que EL7 coupe beaucoup de pilotes pour les anciens matériels, et puisque vous proposez d'utiliser un matériel assez ancien ici, vous pouvez constater que vous ne pouvez pas installer le operating system. Dans ce cas, vous devriez utiliser EL6 (ou mettre à niveau le matériel).

En particulier, ce server G5 possède probablement un SmartArray 400, qui a utilisé l'ancien pilote cciss, qui a été coupé d'EL7. Vous pourriez pouvoir l'utiliser avec l'option de command line de démarrage du kernel hpsa.hpsa_allow_any=1 , mais aucune garantie. Le G6 possède probablement un SmartArray 410, qui devrait fonctionner avec le pilote actuel hpsa.

Les agents de surveillance et de gestion fournis par HP et Dell peuvent également ne pas être disponibles pour EL7 pour le matériel particulier. Si vous pouvez vivre sans cela, ce n'est pas grave, mais ils ajoutent une valeur suffisante pour que vous les utilisiez au besoin.

J'aimerais aborder ce projet avec une installation CentOS 6. Il y a quelques considérations:

  • Dans le cycle de vie du produit en amont Red Hat , EL6 vient d'atteindre la maturité et la stabilité dont j'ai besoin pour mes environnements de production. C'est toujours une dissortingbution qui a access à un bon set de packages, à un esprit d'esprit profond et à une large utilisation. De plus, vous avez toujours la possibilité d'utiliser un kernel plus récent sur EL6.

  • Le matériel du server que vous décrivez a été conçu pour être utilisé avec EL5 et EL6. Cela comprend le logiciel de surveillance de valeur ajoutée et les agents fournis par HP et Dell. Pour ne pas dire que EL7 ne fonctionnera pas, mais l'âge des systèmes et la tendance des anciens lecteurs de matériel à tomber hors de maintenance signifient que vous devriez vous efforcer d'utiliser une OS correcte .

  • Si vous utilisiez un matériel plus récent, je pense que la compatibilité avant serait un problème plus important. Je ne suis personnellement pas prêt à valider EL7 comme une plate-forme, mais cela changera dans les 6 prochains mois. En ce qui concerne aujourd'hui, je ne pense pas qu'il soit irresponsable d'utiliser EL6.

  • Pour les systèmes que vous avez, Ubuntu est très bien pris en charge. Il n'y a aucun problème avec le raid de matériel sur les servers G5 / G6 ProLiant-Era ou les controllers de stockage LSI réticulés Dell.